ContainerMetricsConstants (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.metrics, class: ContainerMetricsConstants

Package org.apache.hadoop.yarn.server.metrics

# Class ContainerMetricsConstants

java.lang.Object
org.apache.hadoop.yarn.server.metrics.ContainerMetricsConstants

@Private @Unstable public class ContainerMetricsConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALLOCATED_EXPOSED_PORTS`
  `static final String`
  `ALLOCATED_HOST_HTTP_ADDRESS_INFO`
  `static final String`
  `ALLOCATED_HOST_INFO`
  `static final String`
  `ALLOCATED_MEMORY_INFO`
  `static final String`
  `ALLOCATED_PORT_INFO`
  `static final String`
  `ALLOCATED_PRIORITY_INFO`
  `static final String`
  `ALLOCATED_VCORE_INFO`
  `static final String`
  `CONTAINER_FINISHED_TIME`
  `static final String`
  `CREATED_EVENT_TYPE`
  `static final String`
  `CREATED_IN_RM_EVENT_TYPE`
  `static final String`
  `DIAGNOSTICS_INFO`
  `static final String`
  `ENTITY_TYPE`
  `static final String`
  `EXIT_STATUS_INFO`
  `static final String`
  `FINISHED_EVENT_TYPE`
  `static final String`
  `FINISHED_IN_RM_EVENT_TYPE`
  `static final String`
  `KILLED_EVENT_TYPE`
  `static final String`
  `LOCALIZATION_FINISHED_EVENT_TYPE`
  `static final String`
  `LOCALIZATION_START_EVENT_TYPE`
  `static final String`
  `PARENT_PRIMARIY_FILTER`
  `static final String`
  `PAUSED_EVENT_TYPE`
  `static final String`
  `RESUMED_EVENT_TYPE`
  `static final String`
  `STATE_INFO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContainerMetricsConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ENTITY_TYPE

    public static final String ENTITY_TYPE
    See Also:
      - Constant Field Values

  - ### CREATED_EVENT_TYPE

    public static final String CREATED_EVENT_TYPE
    See Also:
      - Constant Field Values

  - ### CREATED_IN_RM_EVENT_TYPE

    public static final String CREATED_IN_RM_EVENT_TYPE
    See Also:
      - Constant Field Values

  - ### PAUSED_EVENT_TYPE

    public static final String PAUSED_EVENT_TYPE
    See Also:
      - Constant Field Values

  - ### RESUMED_EVENT_TYPE

    public static final String RESUMED_EVENT_TYPE
    See Also:
      - Constant Field Values

  - ### KILLED_EVENT_TYPE

    public static final String KILLED_EVENT_TYPE
    See Also:
      - Constant Field Values

  - ### FINISHED_EVENT_TYPE

    public static final String FINISHED_EVENT_TYPE
    See Also:
      - Constant Field Values

  - ### FINISHED_IN_RM_EVENT_TYPE

    public static final String FINISHED_IN_RM_EVENT_TYPE
    See Also:
      - Constant Field Values

  - ### CONTAINER_FINISHED_TIME

    public static final String CONTAINER_FINISHED_TIME
    See Also:
      - Constant Field Values

  - ### PARENT_PRIMARIY_FILTER

    public static final String PARENT_PRIMARIY_FILTER
    See Also:
      - Constant Field Values

  - ### ALLOCATED_MEMORY_INFO

    public static final String ALLOCATED_MEMORY_INFO
    See Also:
      - Constant Field Values

  - ### ALLOCATED_VCORE_INFO

    public static final String ALLOCATED_VCORE_INFO
    See Also:
      - Constant Field Values

  - ### ALLOCATED_HOST_INFO

    public static final String ALLOCATED_HOST_INFO
    See Also:
      - Constant Field Values

  - ### ALLOCATED_PORT_INFO

    public static final String ALLOCATED_PORT_INFO
    See Also:
      - Constant Field Values

  - ### ALLOCATED_PRIORITY_INFO

    public static final String ALLOCATED_PRIORITY_INFO
    See Also:
      - Constant Field Values

  - ### DIAGNOSTICS_INFO

    public static final String DIAGNOSTICS_INFO
    See Also:
      - Constant Field Values

  - ### EXIT_STATUS_INFO

    public static final String EXIT_STATUS_INFO
    See Also:
      - Constant Field Values

  - ### STATE_INFO

    public static final String STATE_INFO
    See Also:
      - Constant Field Values

  - ### ALLOCATED_HOST_HTTP_ADDRESS_INFO

    public static final String ALLOCATED_HOST_HTTP_ADDRESS_INFO
    See Also:
      - Constant Field Values

  - ### ALLOCATED_EXPOSED_PORTS

    public static final String ALLOCATED_EXPOSED_PORTS
    See Also:
      - Constant Field Values

  - ### LOCALIZATION_START_EVENT_TYPE

    public static final String LOCALIZATION_START_EVENT_TYPE
    See Also:
      - Constant Field Values

  - ### LOCALIZATION_FINISHED_EVENT_TYPE

    public static final String LOCALIZATION_FINISHED_EVENT_TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ContainerMetricsConstants

    public ContainerMetricsConstants()